IRPCSearch.GetFolderContentsOfPinboard
Vault API / core write session or assertion returns metadata structure version
Gets the contents of the Pinboard items.
| Service | Search MFiles.IRPCSearch |
|---|---|
| gRPC method | /MFiles.IRPCSearch/GetFolderContentsOfPinboard |
| HTTP (mf-http-grpc) | POST /grpc/v1/get-folder-contents-of-pinboard |
| Request | GetFolderContentsOfPinboardRequest |
| Response | GetFolderContentsOfPinboardResponse |
| Book and level | Vault API, core |
| Kind | write |
| Session | Required: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata). |
| Idempotent | no |
| Returns metadata structure version | yes (in the mfiles-metadata-version-bin trailer) |
| Streaming | none (unary) |
Remarks
Used by the M-Files clients to show the caller's pinned items.
Request: GetFolderContentsOfPinboardRequest
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
max_results | uint32 | Requested max results. If this is 0, it should be ignored. |
include_parent | bool | True if parent location of the property and traditional folders to be included in the result. |
Response: GetFolderContentsOfPinboardResponse
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
view_folders_with_parent_location[] | repeated ViewWithParentLocation | Resulting views. |
view_folders_with_parent_location[].parent_location[] | repeated Folder | The location of the view folder. |
view_folders_with_parent_location[].parent_location[].type | FolderType | The type of the folder, for example FOLDER_TYPE_VIEW_FOLDER or FOLDER_TYPE_PROPERTY_FOLDER.Values: FOLDER_TYPE_UNKNOWN (0), FOLDER_TYPE_ANY_FOLDER (1), FOLDER_TYPE_VIEW_FOLDER (2), FOLDER_TYPE_PROPERTY_FOLDER (3), FOLDER_TYPE_TRADITIONAL_FOLDER (4), FOLDER_TYPE_SEARCH_FOLDER (5), FOLDER_TYPE_EXTERNAL_VIEW_FOLDER (6). |
view_folders_with_parent_location[].parent_location[].data | FolderInfoUnion | Additional folder type -specific information as a union. |
view_folders_with_parent_location[].value | View | Resulting the view. |
view_folders_with_parent_location[].value.id | int32 | The ID of the view. |
view_folders_with_parent_location[].value.type | ViewType | The type of the view.Values: VIEW_TYPE_SHOW_OBJECTS (0), VIEW_TYPE_FILTER_ONLY (1). |
view_folders_with_parent_location[].value.name | string | The name of the view. |
view_folders_with_parent_location[].value.is_common | bool | Tells if the view is admin-defined (common) or user-defined. |
view_folders_with_parent_location[].value.is_visible | bool | Tells if the view is visible. |
view_folders_with_parent_location[].value.location | ViewLocation | The location of the view. Valid only if bHasParent is true. |
view_folders_with_parent_location[].value.content_definition | SearchDef | The search definition that contains the view levels and search conditions of the view. |
view_folders_with_parent_location[].value.acl | AccessControlList | Permissions. |
view_folders_with_parent_location[].value.flags_obsolete | uint32 | Bit flags that provide additional information on the view. |
view_folders_with_parent_location[].value.options | VIEWFLAGS | Bit flags that provide additional information on the view. |
view_folders_with_parent_location[].value.guid | string | GUID for the view. |
view_folders_with_parent_location[].value.view_visualization | ViewVisualization | View visualization information. |
view_folders_with_parent_location[].pinned_item_id | string | The pinned item id is the guid key referencing this item in pinboard. |
property_folders_with_parent_location[] | repeated PropertyFolderWithParent | Resulting property folders. |
property_folders_with_parent_location[].parent_location[] | repeated Folder | The location of the parent folders. Field with fid( 2 ) is reserved for legacy reasons and must not be re-used. |
property_folders_with_parent_location[].parent_location[].type | FolderType | The type of the folder, for example FOLDER_TYPE_VIEW_FOLDER or FOLDER_TYPE_PROPERTY_FOLDER.Values: FOLDER_TYPE_UNKNOWN (0), FOLDER_TYPE_ANY_FOLDER (1), FOLDER_TYPE_VIEW_FOLDER (2), FOLDER_TYPE_PROPERTY_FOLDER (3), FOLDER_TYPE_TRADITIONAL_FOLDER (4), FOLDER_TYPE_SEARCH_FOLDER (5), FOLDER_TYPE_EXTERNAL_VIEW_FOLDER (6). |
property_folders_with_parent_location[].parent_location[].data | FolderInfoUnion | Additional folder type -specific information as a union. |
property_folders_with_parent_location[].value | TypedValue | The value of the property. |
property_folders_with_parent_location[].value.is_null_value | bool | True if the value is empty. data is then unset. |
property_folders_with_parent_location[].value.type | Datatype | The data type of the value. |
property_folders_with_parent_location[].value.data | TypedValueUnion | The value, in the member that matches type. Unset for an empty value. |
property_folders_with_parent_location[].pinned_item_id | string | The pinned item id is the guid key referencing this item in pinboard. |
property_folders_with_parent_location[].last_parent_view | View | The last view and search conditions from the parent folder. |
property_folders_with_parent_location[].last_parent_view.id | int32 | The ID of the view. |
property_folders_with_parent_location[].last_parent_view.type | ViewType | The type of the view.Values: VIEW_TYPE_SHOW_OBJECTS (0), VIEW_TYPE_FILTER_ONLY (1). |
property_folders_with_parent_location[].last_parent_view.name | string | The name of the view. |
property_folders_with_parent_location[].last_parent_view.is_common | bool | Tells if the view is admin-defined (common) or user-defined. |
property_folders_with_parent_location[].last_parent_view.is_visible | bool | Tells if the view is visible. |
property_folders_with_parent_location[].last_parent_view.location | ViewLocation | The location of the view. Valid only if bHasParent is true. |
property_folders_with_parent_location[].last_parent_view.content_definition | SearchDef | The search definition that contains the view levels and search conditions of the view. |
property_folders_with_parent_location[].last_parent_view.acl | AccessControlList | Permissions. |
property_folders_with_parent_location[].last_parent_view.flags_obsolete | uint32 | Bit flags that provide additional information on the view. |
property_folders_with_parent_location[].last_parent_view.options | VIEWFLAGS | Bit flags that provide additional information on the view. |
property_folders_with_parent_location[].last_parent_view.guid | string | GUID for the view. |
property_folders_with_parent_location[].last_parent_view.view_visualization | ViewVisualization | View visualization information. |
traditional_folders_with_parent_location[] | repeated TraditionalFolderWithParent | Resulting traditional folders. |
traditional_folders_with_parent_location[].parent_location[] | repeated Folder | The location of the traditional folder. |
traditional_folders_with_parent_location[].parent_location[].type | FolderType | The type of the folder, for example FOLDER_TYPE_VIEW_FOLDER or FOLDER_TYPE_PROPERTY_FOLDER.Values: FOLDER_TYPE_UNKNOWN (0), FOLDER_TYPE_ANY_FOLDER (1), FOLDER_TYPE_VIEW_FOLDER (2), FOLDER_TYPE_PROPERTY_FOLDER (3), FOLDER_TYPE_TRADITIONAL_FOLDER (4), FOLDER_TYPE_SEARCH_FOLDER (5), FOLDER_TYPE_EXTERNAL_VIEW_FOLDER (6). |
traditional_folders_with_parent_location[].parent_location[].data | FolderInfoUnion | Additional folder type -specific information as a union. |
traditional_folders_with_parent_location[].value | Lookup | Traditional folders. This contains inserted or updated traditional folders if this struct represents a delta, otherwise it contains just a "normal" array of traditional folders. |
traditional_folders_with_parent_location[].value.value_list_item_info | ItemInfo | The selected item. Only obj_id is needed when setting a value. |
traditional_folders_with_parent_location[].value.version | ObjVerVersion | The version of the selected object. The server returns OBJ_VER_VERSION_TYPE_LATEST (-1), meaning the latest version. |
traditional_folders_with_parent_location[].pinned_item_id | string | The pinned item id is the guid key referencing this item in pinboard. |
objects[] | repeated PinnedObject | Resulting objects. |
objects[].search_results_item | SearchResultsItem | The search result item. |
objects[].search_results_item.object | ObjectVersionEx | The object and the found version: object ID, version, title, class, files and status. Property values are not included. |
objects[].search_results_item.score | int32 | The relevance score of the result. Higher is more relevant. |
objects[].search_results_item.chunk | string | For an Aino search, the passage of text that matched. Empty for other searches. |
objects[].pinned_item_id | string | The pinned item id is the guid key referencing this item in pinboard. |
external_folders_with_parent_location[] | repeated ExternalViewWithParentLocation | External views. ( Represented by ExternalViewWithParentLocation struct 0 |
external_folders_with_parent_location[].parent_location[] | repeated Folder | The location of the External view. |
external_folders_with_parent_location[].parent_location[].type | FolderType | The type of the folder, for example FOLDER_TYPE_VIEW_FOLDER or FOLDER_TYPE_PROPERTY_FOLDER.Values: FOLDER_TYPE_UNKNOWN (0), FOLDER_TYPE_ANY_FOLDER (1), FOLDER_TYPE_VIEW_FOLDER (2), FOLDER_TYPE_PROPERTY_FOLDER (3), FOLDER_TYPE_TRADITIONAL_FOLDER (4), FOLDER_TYPE_SEARCH_FOLDER (5), FOLDER_TYPE_EXTERNAL_VIEW_FOLDER (6). |
external_folders_with_parent_location[].parent_location[].data | FolderInfoUnion | Additional folder type -specific information as a union. |
external_folders_with_parent_location[].value | ExternalView | Resulting the Exterrnal view. |
external_folders_with_parent_location[].value.id | ExternalRepositoryID | The view ID in external repository. |
external_folders_with_parent_location[].value.display_name | string | The name of the view. |
external_folders_with_parent_location[].value.external_repository_icon_id | string | The icon ID. |
external_folders_with_parent_location[].value.parent_id | ExternalRepositoryID | The view's parent ID in external repository. May be uninitialized if the external view does not have a parent. |
external_folders_with_parent_location[].value.object_data | ObjectVersionExWP | If not null, the object representation of the folder. |
external_folders_with_parent_location[].value.folder_capabilities | FOLDERCAPABILITYFLAGS | Bit flags that provide information on the folder capabilities. |
external_folders_with_parent_location[].value.acl | AccessControlList | If set, ACL. |
external_folders_with_parent_location[].pinned_item_id | string | The pinned item id is the guid key referencing this item in pinboard. |
more_property_folders | bool | Are there more property folders? Currently it is false. It will be implemented in future. |
more_objects | bool | Are there more objects? Currently it is false. It will be implemented in future. |
more_external_folders | bool | Are there more external view folders? Currently it is false. It will be implemented in future. |
limited_item_groups[] | repeated int32 | Receives the list of item group identifications IDs the results of which were limited. The group identification ID depends on how the search results were grouped. E.g. object type ID.Currently it is not carrying any data. It will be implemented in future. |
search_output_info | SearchOutputInfo | Additional information about the completed search operation.Currently it is not carrying any data. It will be implemented in future. |
search_output_info.processing_time_at_engine_in_milliseconds | int32 | The processing time at the search engine, in milliseconds. -1 if not known. |
search_output_info.processing_time_at_engine_from_mfserver_in_milliseconds | int32 | The processing time at the search engine, including network roundtrip from MFServer, in milliseconds. -1 if not known. |
search_output_info.processing_time_at_mfserver_in_milliseconds | int32 | The total processing time at MFServer, in milliseconds. -1 if not known. |
search_output_info.processing_time_at_mfserver_from_client_in_milliseconds | int32 | The total processing time at MFServer, including network roundtrip from the client, in milliseconds. -1 if not known. |
Related methods
- GetFolderContents -- Lists the contents of a view or a view level: subviews, grouping folders and objects.